texmath-0.9.4: Conversion between formats used to represent mathematics.

Copyright | Copyright (C) 2014 Matthew Pickering
License | GNU GPL, version 2 or above
Maintainer | Matthew Pickering <matthewtpickering@gmail.com>
Stability | alpha
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Text.TeXMath.Unicode.Fonts

Description

Utilities to convert between MS font codepoints and unicode characters.

Synopsis

- getUnicode :: Font -> Char -> Maybe Char
- data Font = Symbol
- stringToFont :: String -> Maybe Font

# Documentation

getUnicode :: Font -> Char -> Maybe Char #

Given a font and codepoint, returns the corresponding unicode character

data Font #

Enumeration of recognised fonts

Constructors

Symbol | Adobe Symbol

Instances

Eq Font # |
Methods (==) :: Font -> Font -> Bool # (/=) :: Font -> Font -> Bool #
Show Font # |
Methods showsPrec :: Int -> Font -> ShowS # show :: Font -> String # showList :: [Font] -> ShowS #

stringToFont :: String -> Maybe Font #

Parse font name into Font if possible.